Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing.model
Class CreateLoadBalancerRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.elasticloadbalancing.model.CreateLoadBalancerRequest

    public class CreateLoadBalancerRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateLoadBalancer operation`.

See Also:
  `AmazonElasticLoadBalancing.createLoadBalancer(CreateLoadBalancerRequest)`

Constructor Summary
`CreateLoadBalancerRequest()`

Method Summary
`List<String>` | `getAvailabilityZones()` Returns the value of the AvailabilityZones property for this object.
`List<Listener>` | `getListeners()` Returns the value of the Listeners property for this object.
`String` | `getLoadBalancerName()` Returns the value of the LoadBalancerName property for this object.
`void` | `setAvailabilityZones(Collection<String> availabilityZones)` Sets the value of the AvailabilityZones property for this object.
`void` | `setListeners(Collection<Listener> listeners)` Sets the value of the Listeners property for this object.
`void` | `setLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateLoadBalancerRequest` | `withAvailabilityZones(Collection<String> availabilityZones)` Sets the value of the AvailabilityZones property for this object.
`CreateLoadBalancerRequest` | `withAvailabilityZones(String... availabilityZones)` Sets the value of the AvailabilityZones property for this object.
`CreateLoadBalancerRequest` | `withListeners(Collection<Listener> listeners)` Sets the value of the Listeners property for this object.
`CreateLoadBalancerRequest` | `withListeners(Listener... listeners)` Sets the value of the Listeners property for this object.
`CreateLoadBalancerRequest` | `withLoadBalancerName(String loadBalancerName)` Sets the value of the LoadBalancerName property for this object.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateLoadBalancerRequest

    public CreateLoadBalancerRequest()

Method Detail

### getLoadBalancerName

    public String getLoadBalancerName()

  Returns the value of the LoadBalancerName property for this object.

  Returns:
    The value of the LoadBalancerName property for this object.

### setLoadBalancerName

    public void setLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.

### withLoadBalancerName

    public CreateLoadBalancerRequest withLoadBalancerName(String loadBalancerName)

  Sets the value of the LoadBalancerName property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `loadBalancerName` - The new value for the LoadBalancerName property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getListeners

    public List<Listener> getListeners()

  Returns the value of the Listeners property for this object.

  Returns:
    The value of the Listeners property for this object.

### setListeners

    public void setListeners(Collection<Listener> listeners)

  Sets the value of the Listeners property for this object.

  Parameters:
    `listeners` - The new value for the Listeners property for this object.

### withListeners

    public CreateLoadBalancerRequest withListeners(Listener... listeners)

  Sets the value of the Listeners property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `listeners` - The new value for the Listeners property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withListeners

    public CreateLoadBalancerRequest withListeners(Collection<Listener> listeners)

  Sets the value of the Listeners property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `listeners` - The new value for the Listeners property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZones

    public List<String> getAvailabilityZones()

  Returns the value of the AvailabilityZones property for this object.

  Returns:
    The value of the AvailabilityZones property for this object.

### setAvailabilityZones

    public void setAvailabilityZones(Collection<String> availabilityZones)

  Sets the value of the AvailabilityZones property for this object.

  Parameters:
    `availabilityZones` - The new value for the AvailabilityZones property for this object.

### withAvailabilityZones

    public CreateLoadBalancerRequest withAvailabilityZones(String... availabilityZones)

  Sets the value of the AvailabilityZones property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZones` - The new value for the AvailabilityZones property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAvailabilityZones

    public CreateLoadBalancerRequest withAvailabilityZones(Collection<String> availabilityZones)

  Sets the value of the AvailabilityZones property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZones` - The new value for the AvailabilityZones property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.